Bug 996128 - RTGov db initialization is done only for H2
RTGov db initialization is done only for H2
Status: CLOSED WONTFIX
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: RT Governance (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: Gary Brown
Jiri Sedlacek
:
Depends On: 978791
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-12 09:22 EDT by Jiri Pechanec
Modified: 2015-08-02 19:44 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-31 11:43:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Pechanec 2013-08-12 09:22:50 EDT
RTGov as is now configured expects to have pre-loaded database. The initial content is provided in H2 database datafiles. This is not portable to other supported databases.
Comment 1 Gary Brown 2013-08-12 10:32:19 EDT
Not sure this should be recorded as a separate issue?

There is currently a bz (https://bugzilla.redhat.com/show_bug.cgi?id=978791) related to a db configuration tool for the platform, that should take care of this issue.
Comment 2 Jiri Pechanec 2013-08-12 10:40:20 EDT
I've added 978791 as dependency but it is important to keep this open in case the tool will not materialize
Comment 3 Gary Brown 2013-10-22 12:23:36 EDT
The tool did materialize, so this issue can be closed.
Comment 4 Gary Brown 2013-10-31 11:43:48 EDT
This is now handled by the installer.

Note You need to log in before you can comment on or make changes to this bug.